
def plot_random_distribution(x, bins=10, kde=True):
    import numpy as np
    import holoviews as hv
    import holoviews.element.bars as bars
    import holoviews.element.kdplot as kdplot
    
    # Generate a random distribution using numpy
    np.random.seed(0)
    x = np.random.normal(0, 1, size=1000)
    
    # Create a histogram and a kernel density estimate (KDE)
    hist = bars.Histogram(x, bins=bins)
    kde_plot = kdplot.KDE(x, bins=bins) if kde else None
    
    # Combine the histogram and KDE into a layout
    plot = (hist + kde_plot).cols(1)
    
    # Display the plot
    plot.show()



